﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

public enum EOrderStatus
{
    /// <summary>
    /// 待受理
    /// </summary>
    [Description("待受理")]
    WaitForAccept = 0,

    ///// <summary>
    ///// 待签收
    ///// </summary>
    //[Description("待签收")]
    //WaitForSign = 10,

    /// <summary>
    /// 办理中
    /// </summary>
    [Description("办理中")]
    Handling = 20,

    /// <summary>
    /// 会签中
    /// </summary>
    [Description("会签中")]
    Countersigning = 30,

    ///// <summary>
    ///// 退回
    ///// </summary>
    //[Description("退回")]
    //Return = 40,

    ///// <summary>
    ///// 办理完成(实际办理部门办理完成)
    ///// </summary>
    //[Description("办理完成")]
    //Completed = 50,

    /// <summary>
    /// 已归档
    /// </summary>
    [Description("办理完成")]
    Filed = 60,
}